/*
	This is a Virtual Window Manager for use under Win32 Shells that
	support the LiteStep module standard.

	Copyright (C) 2001 Chris Rempel

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <tchar.h>
#include <windows.h>
#include "main.h"


INT initModuleEx( HWND hOwner, HINSTANCE hDll, LPCTSTR szPath )
{
	RegisterBangCmds();
	LoadSettings();
	return 0;

		UNREFERENCED_PARAMETER( hOwner );
		UNREFERENCED_PARAMETER( hDll );
		UNREFERENCED_PARAMETER( szPath );
}


VOID quitModule( HINSTANCE hDll )
{
	FreeSettings();
	UnRegisterBangCmds();
	return;

		UNREFERENCED_PARAMETER( hDll );
}
