/*
	This is a Virtual Window Manager for use under Win32 Shells that
	support the LiteStep module standard.

	Copyright (C) 2001 Chris Rempel

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

__declspec( dllexport ) INT initModuleEx( HWND, HINSTANCE, LPCTSTR );
__declspec( dllexport ) VOID quitModule( HINSTANCE );

extern VOID RegisterBangCmds( VOID );
extern VOID UnRegisterBangCmds( VOID );
extern VOID LoadSettings( VOID );
extern VOID FreeSettings( VOID );


	/* SUGGESTED FEATURES and WORKING NOTES */
/*
	Shift VWM origin cmds
	Move Active Window to VW
	Move all Wnds on specifed VW to other specified VW.
	Gather all Wnds to specified VW of match type
	Execute command on quit (DONE)
	Variable Number of VW (DONE - need to add gathering)
	Fix PhotoShop tools and similiar
	Sticky Windows (DONE)
	Execute Command On Switch (DONE)
*/
